Skip to main content
GET
Get evaluator models
You are reading the docs of Galtea 5.11. Read this page in the latest version.

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Query Parameters

names
string[]

Filter by model names (exact match)

name
string

Filter by model name (case-insensitive contains)

selectable
boolean

Filter by selectable models

enabled
boolean

Filter by enabled models

sort
string[]

Sort instructions (field and direction pairs)

limit
integer

Maximum number of results

offset
integer

Number of results to skip

Response

Evaluator models retrieved successfully

name
string
Example:

"gpt-4o"

disabledAt
string<date-time> | null
unselectableAt
string<date-time> | null
createdAt
string<date-time>
deletedAt
string<date-time> | null
generationCapabilities
object | null

Generation settings a caller may configure on this model. Null means the LLM gateway did not report the model capabilities, which is not the same as the model accepting none.